Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041373
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-17 06:512019-08-22 14:44
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisione6e23c5db460
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041373: Apply HQL style guide to Reconciliation

DescriptionApply HQL style guide to Reconciliation
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0113491)
collazoandy4 (developer)
2019-07-18 06:41

Test Plan
  Create a new Sales Invoice with 'Al contado' payment method and complete it and add a payment to it
  Go to Financial Account window and select Caja record
    Create a new Funds Transfer with the payment amount
    Select the transaccion created by the invoice and clic on Reconcile
      Select the two records and clic on Reconcilie
    Check the process ends with out errors
(0113525)
hgbot (developer)
2019-07-18 16:25

Repository: erp/devel/pi
Changeset: e6e23c5db460d6c75011824bd646028a350b9861
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 18 16:11:09 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e6e23c5db460d6c75011824bd646028a350b9861 [^]

Fixes issue 41373: Apply HQL style guide to Reconciliation

Applied the new HQL style in Reconciliation

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/Reconciliation.java
---
(0113527)
dmiguelez (developer)
2019-07-18 16:26

Code Review + Testing Ok
(0113546)
hgbot (developer)
2019-07-19 09:45

Repository: erp/devel/pi
Changeset: 3816893e4737c469df63f3b89d725b56f1cf564c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jul 19 09:42:32 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3816893e4737c469df63f3b89d725b56f1cf564c [^]

Related to Issue 41373. Removed unnecessary .toString() calls.
If the variable is already a String it is not necessary to
call to the .toString() method.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/Reconciliation.java
---
(0114159)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114168)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-17 06:51 collazoandy4 New Issue
2019-07-17 06:51 collazoandy4 Assigned To => collazoandy4
2019-07-17 06:51 collazoandy4 Modules => Core
2019-07-17 06:51 collazoandy4 Triggers an Emergency Pack => No
2019-07-17 06:51 collazoandy4 Status new => scheduled
2019-07-17 06:52 collazoandy4 Relationship added related to 0041287
2019-07-18 06:41 collazoandy4 Note Added: 0113491
2019-07-18 16:25 hgbot Checkin
2019-07-18 16:25 hgbot Note Added: 0113525
2019-07-18 16:25 hgbot Status scheduled => resolved
2019-07-18 16:25 hgbot Resolution open => fixed
2019-07-18 16:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e6e23c5db460d6c75011824bd646028a350b9861 [^]
2019-07-18 16:26 dmiguelez Review Assigned To => dmiguelez
2019-07-18 16:26 dmiguelez Note Added: 0113527
2019-07-18 16:26 dmiguelez Status resolved => closed
2019-07-18 16:26 dmiguelez Fixed in Version => 3.0PR19Q4
2019-07-19 09:45 hgbot Checkin
2019-07-19 09:45 hgbot Note Added: 0113546
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114159
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114168


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker